View Issue Details

IDProjectCategoryLast Update
0021406AI War 2[All Projects] Bug - GameplayJun 5, 2020 12:48 pm
Reporterwm46Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.876 Counterattacks Ate My Waves 
Fixed in Version 
Summary0021406: Transport ship changes seem to work fine, but...
Description... now it's impossible to have a "Rally-attack" command set, where constructed ships will automatically attack a given target.

¯\_(ツ)_/¯ - Fix one, another two appear.
TagsNo tags attached.

Relationships

related to 0021426 resolvedx4000Bughunter Have transport fleet masterpiece behave like it had weapons 

Activities

wm46

Jul 16, 2019 10:03 pm

reporter   ~0052276

Just to be clear on the bug: Transport unloading and ship creation copy the flagship's current order list to the new ships, but since attack is not a valid order for a ship with no weapons, it's impossible to set up a rally attack.

Maybe there needs to be a new set of order command for flagships only, where something like alt + right click sets the order for new ships without moving the centerpiece and other selected non-flagships (and would allow you to set up rally-attack). Don't know how you would clear an order set that way though.

x4000Bughunter

Jul 30, 2019 12:30 pm

administrator   ~0052345

Thanks!

* You can now issue attack orders to your weapon-less fleet leaders (aka transports), although it's not yet clear if those will stick around. The point with this is to be able to queue up attack orders so that ships that come out of the transport (or get spawned at it via a factory) will attack the target assigned to the transport, even though the transport itself won't have anything to attack. We haven't tested this yet, though, and it probably needs more work.

Issue History

Date Modified Username Field Change
Jul 16, 2019 9:58 pm wm46 New Issue
Jul 16, 2019 10:03 pm wm46 Note Added: 0052276
Jul 27, 2019 1:24 pm wm46 Relationship added related to 0021426
Jul 30, 2019 12:30 pm x4000Bughunter Assigned To => x4000Bughunter
Jul 30, 2019 12:30 pm x4000Bughunter Status new => feedback
Jul 30, 2019 12:30 pm x4000Bughunter Note Added: 0052345
Jun 5, 2020 12:48 pm x4000Bughunter Status feedback => resolved
Jun 5, 2020 12:48 pm x4000Bughunter Resolution open => fixed